function numericValidate(value){
    // let value = eve.target.value;
    var numbers = /^\d+$/;
    if( value.match(numbers) && value.length <= 12) {
        return true;
    }
    else {
        return false
    }
}
function alphaNumericValidate(value){
    // let value = eve.target.value;
    var numbers = /^[A-Za-z0-9]*$/;
    var lowerCaseLetters = /[a-z]/g;
    var upperCaseLetters = /[A-Z]/g;
    if( value.match(numbers) && value.length <= 26) {
        return true;
    }
    else {
        return false
    }
}
function passwordValidation(value){
    // let value = eve.target.value;
        
    var lowerCaseLetters = /[a-z]/g;

    var upperCaseLetters = /[A-Z]/g;

    var numbers = /[0-9]/g;

    var specialLetters =  /\W|_/g;
    if(value.length >= 8 && value.match(numbers) && value.match(upperCaseLetters) && value.match(lowerCaseLetters) &&value.match(specialLetters)) {
        return true;
    }
    else {
        return false
    }
}

function checkLength(value){
    if(value.length > 16){
        return false;
    }
    else {
        return true;
    }
}